Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-61852

Move lib popper into core

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.5
    • Fix Version/s: 3.5
    • Component/s: Libraries
    • Labels:
    • Testing Instructions:
      Hide
      1. Navigate to Site admin -> Appearance -> User tours
      2. Enable both of the standard user tours shipped with Moodle
      3. Open the settings for each tour
        1. Force the tour to be displayed
      4. Navigate to the Site home
      5. Walk through the tour
        1. Confirm that all steps appear in the location they describe
      6. Open a course
        1. Confirm that all steps appear in the location they describe
      Show
      Navigate to Site admin -> Appearance -> User tours Enable both of the standard user tours shipped with Moodle Open the settings for each tour Force the tour to be displayed Navigate to the Site home Walk through the tour Confirm that all steps appear in the location they describe Open a course Confirm that all steps appear in the location they describe
    • Affected Branches:
      MOODLE_35_STABLE
    • Fixed Branches:
      MOODLE_35_STABLE
    • Pull from Repository:
    • Pull Master Branch:
      MDL-61852-master

      Description

      Both the user tours and theme Bootstrap 4 stable need the Popper JS library. To avoid duplication this Library needs to be moved to core (/lib)

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                1 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  17/May/18